{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "booktestgrid",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/booktestgrid.json",
  "gridRowActiveMode" : 2,
  "name" : "booktestgrid",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "书数据重定向视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "testgridtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "测试表格_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "FontAwesome",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf1b2@FontAwesome",
        "cssClass" : "fa fa-cube"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "测试",
        "codeName" : "testopen",
        "frontProcessType" : "EDITFORM",
        "fullCodeName" : "Book_testopen",
        "name" : "测试",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEEditForm" : {
          "codeName" : "Main",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Main.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "logicName" : "主编辑表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "form"
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "field",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD",
              "codeName" : "Field"
            }
          }, {
            "id" : "bookname",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "type",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "Type"
            }
          }, {
            "id" : "field2",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD2",
              "codeName" : "Field2"
            }
          }, {
            "id" : "field3",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD3",
              "codeName" : "Field3"
            }
          }, {
            "id" : "field4",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD4",
              "codeName" : "Field4"
            }
          }, {
            "id" : "createman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            }
          }, {
            "id" : "createdate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            }
          }, {
            "id" : "updateman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "id" : "updatedate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "bookid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "属性",
              "codeName" : "field",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "itemHeight" : 200.0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              },
              "getPSEditor" : {
                "editorHeight" : 200.0,
                "editorParams" : {
                  "HEIGHT" : "200"
                },
                "editorType" : "TEXTAREA_10",
                "maxLength" : 2000,
                "name" : "field",
                "showMaxLength" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : false,
              "showCaption" : true
            }, {
              "caption" : "书名称",
              "codeName" : "bookname",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 200,
                "name" : "bookname"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "类型",
              "codeName" : "type",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "getPSEditor" : {
                "editorParams" : {
                  "readOnly" : "true"
                },
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "type",
                "readOnly" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "convertToCodeItemText" : true,
              "showCaption" : true
            }, {
              "caption" : "属性2",
              "codeName" : "field2",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field2",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD2",
                "codeName" : "Field2"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field2"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性3",
              "codeName" : "field3",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field3",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD3",
                "codeName" : "Field3"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field3"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性4",
              "codeName" : "field4",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field4",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD4",
                "codeName" : "Field4"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field4"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "书标识",
              "codeName" : "bookid",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "bookid"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          }, {
            "caption" : "其它",
            "codeName" : "formpage2",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage2",
            "getPSDEFormDetails" : [ {
              "caption" : "操作信息",
              "codeName" : "group2",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group2",
              "getPSDEFormDetails" : [ {
                "caption" : "建立人",
                "codeName" : "createman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEMAN",
                  "codeName" : "CreateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "建立时间",
                "codeName" : "createdate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createdate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEDATE",
                  "codeName" : "CreateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createdate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "更新人",
                "codeName" : "updateman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updateman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEMAN",
                  "codeName" : "UpdateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updateman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "更新时间",
                "codeName" : "updatedate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updatedate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEDATE",
                  "codeName" : "UpdateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updatedate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "noTabHeader" : false,
          "name" : "form",
          "modelid" : "30e57e03ffaa6be25a9d764accc12b56",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "testopen",
        "uIActionType" : "DEUIACTION",
        "id" : "testopen@Book"
      },
      "tooltip" : "FontAwesome",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "ion-icon",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "cssClass" : "stop-circle"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "测试",
        "codeName" : "testopen",
        "frontProcessType" : "EDITFORM",
        "fullCodeName" : "Book_testopen",
        "name" : "测试",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEEditForm" : {
          "codeName" : "Main",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Main.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "logicName" : "主编辑表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "form"
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "field",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD",
              "codeName" : "Field"
            }
          }, {
            "id" : "bookname",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "type",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "Type"
            }
          }, {
            "id" : "field2",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD2",
              "codeName" : "Field2"
            }
          }, {
            "id" : "field3",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD3",
              "codeName" : "Field3"
            }
          }, {
            "id" : "field4",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD4",
              "codeName" : "Field4"
            }
          }, {
            "id" : "createman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            }
          }, {
            "id" : "createdate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            }
          }, {
            "id" : "updateman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "id" : "updatedate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "bookid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "属性",
              "codeName" : "field",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "itemHeight" : 200.0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              },
              "getPSEditor" : {
                "editorHeight" : 200.0,
                "editorParams" : {
                  "HEIGHT" : "200"
                },
                "editorType" : "TEXTAREA_10",
                "maxLength" : 2000,
                "name" : "field",
                "showMaxLength" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : false,
              "showCaption" : true
            }, {
              "caption" : "书名称",
              "codeName" : "bookname",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 200,
                "name" : "bookname"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "类型",
              "codeName" : "type",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "getPSEditor" : {
                "editorParams" : {
                  "readOnly" : "true"
                },
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "type",
                "readOnly" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "convertToCodeItemText" : true,
              "showCaption" : true
            }, {
              "caption" : "属性2",
              "codeName" : "field2",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field2",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD2",
                "codeName" : "Field2"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field2"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性3",
              "codeName" : "field3",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field3",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD3",
                "codeName" : "Field3"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field3"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性4",
              "codeName" : "field4",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field4",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD4",
                "codeName" : "Field4"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field4"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "书标识",
              "codeName" : "bookid",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "bookid"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          }, {
            "caption" : "其它",
            "codeName" : "formpage2",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage2",
            "getPSDEFormDetails" : [ {
              "caption" : "操作信息",
              "codeName" : "group2",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group2",
              "getPSDEFormDetails" : [ {
                "caption" : "建立人",
                "codeName" : "createman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEMAN",
                  "codeName" : "CreateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "建立时间",
                "codeName" : "createdate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createdate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEDATE",
                  "codeName" : "CreateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createdate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "更新人",
                "codeName" : "updateman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updateman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEMAN",
                  "codeName" : "UpdateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updateman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "更新时间",
                "codeName" : "updatedate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updatedate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEDATE",
                  "codeName" : "UpdateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updatedate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "noTabHeader" : false,
          "name" : "form",
          "modelid" : "30e57e03ffaa6be25a9d764accc12b56",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "testopen",
        "uIActionType" : "DEUIACTION",
        "id" : "testopen@Book"
      },
      "tooltip" : "ion-icon",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "上传图片",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSSysImage" : {
        "rawContent" : "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" width=\"1em\" focusable=\"false\"><g id=\"aameditor/align-left\" stroke-width=\"1\" fill-rule=\"evenodd\"><path d=\"M0 1h8v1.2H0V1zm0 6.4h16v1.2H0V7.4zm0 6.4h13V15H0v-1.2z\" id=\"aam合并形状\"></path></g></svg>"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "测试",
        "codeName" : "testopen",
        "frontProcessType" : "EDITFORM",
        "fullCodeName" : "Book_testopen",
        "name" : "测试",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSDEEditForm" : {
          "codeName" : "Main",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Main.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "logicName" : "主编辑表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "form"
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "field",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD",
              "codeName" : "Field"
            }
          }, {
            "id" : "bookname",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKNAME",
              "codeName" : "BookName"
            }
          }, {
            "id" : "type",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "Type"
            }
          }, {
            "id" : "field2",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD2",
              "codeName" : "Field2"
            }
          }, {
            "id" : "field3",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD3",
              "codeName" : "Field3"
            }
          }, {
            "id" : "field4",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "FIELD4",
              "codeName" : "Field4"
            }
          }, {
            "id" : "createman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            }
          }, {
            "id" : "createdate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            }
          }, {
            "id" : "updateman",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "id" : "updatedate",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "bookid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "属性",
              "codeName" : "field",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "itemHeight" : 200.0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              },
              "getPSEditor" : {
                "editorHeight" : 200.0,
                "editorParams" : {
                  "HEIGHT" : "200"
                },
                "editorType" : "TEXTAREA_10",
                "maxLength" : 2000,
                "name" : "field",
                "showMaxLength" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : false,
              "showCaption" : true
            }, {
              "caption" : "书名称",
              "codeName" : "bookname",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKNAME",
                "codeName" : "BookName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 200,
                "name" : "bookname"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "类型",
              "codeName" : "type",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "getPSEditor" : {
                "editorParams" : {
                  "readOnly" : "true"
                },
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "type",
                "readOnly" : true
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "convertToCodeItemText" : true,
              "showCaption" : true
            }, {
              "caption" : "属性2",
              "codeName" : "field2",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field2",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD2",
                "codeName" : "Field2"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field2"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性3",
              "codeName" : "field3",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field3",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD3",
                "codeName" : "Field3"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field3"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "属性4",
              "codeName" : "field4",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "field4",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "FIELD4",
                "codeName" : "Field4"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 100,
                "name" : "field4"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "书标识",
              "codeName" : "bookid",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKID",
                "codeName" : "BookId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "bookid"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          }, {
            "caption" : "其它",
            "codeName" : "formpage2",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage2",
            "getPSDEFormDetails" : [ {
              "caption" : "操作信息",
              "codeName" : "group2",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group2",
              "getPSDEFormDetails" : [ {
                "caption" : "建立人",
                "codeName" : "createman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEMAN",
                  "codeName" : "CreateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "建立时间",
                "codeName" : "createdate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "createdate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "CREATEDATE",
                  "codeName" : "CreateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "createdate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "更新人",
                "codeName" : "updateman",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updateman",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEMAN",
                  "codeName" : "UpdateMan"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updateman",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                  },
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "showCaption" : true
              }, {
                "caption" : "更新时间",
                "codeName" : "updatedate",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 3,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "updatedate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UPDATEDATE",
                  "codeName" : "UpdateDate"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "updatedate",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          },
          "noTabHeader" : false,
          "name" : "form",
          "modelid" : "30e57e03ffaa6be25a9d764accc12b56",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "testopen",
        "uIActionType" : "DEUIACTION",
        "id" : "testopen@Book"
      },
      "tooltip" : "上传图片",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "grid",
    "modelid" : "1CD95CCD-054A-4689-BAD9-6A608B7622B4",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "aggMode" : "NONE",
    "codeName" : "Testgrid_Grid",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/Testgrid_Grid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "测试表格_表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "书名称",
      "codeName" : "bookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "bookname",
      "excelCaption" : "书名称",
      "name" : "bookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "bookname",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingMode" : 1,
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "066CC742-AF8A-46F3-8930-C34BE429E618",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Testgrid_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Testgrid_SearchForm.json",
    "logicName" : "测试表格_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "29C68E5C-75F7-4864-BE3D-765448556DDC",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "书",
    "codeName" : "testgridcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "testgrid",
  "getPSDEViewId" : "33DD815A-43CA-4242-B30C-5423BEBD705E",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "测试表格",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "dc3feb53135c5d0bfb9b79d2e17ff99b",
  "modeltype" : "PSAPPDEVIEW"
}